v1.1 | v1.0
The
/reviews resource provides access to reviews. Reviews are currently pulled in real time.Getting Reviews
Request
GET /reviews/{productId}/{countries}/{page}/?language={language}
Arguments
productIds
id of app to pull reviews for.
The productId must belong to your account. To access public ranks through the API please contact us about our partner program.
countries
(Iso | Iso1;Iso2;IsodN | major | minor) the countries to pull reviews from. Major selects all high-volume countries. Minor selects smaller countries. Android Market does not provide reviews by country.
page
zero-based page number, truncated to highest possible value if it is higher than available pages
language (optional)
short code of language to translate reviews into (You can get supported languages via /data/languages)
Response
Reviews will be returned as a collection of store objects containing metadata for the app store and a collection of reviews for that store.
| store_id | The ID of the store |
| country | The full name of the country of the App Store. |
| iso_country | The two-letter ISO code of the country of the App Store. |
| ratings | Number of ratings the app has in this store for the current version. |
| stars | The average number of stars the current version of the app has in this App Store. This is represented as a float to account for half stars. |
| num_pages | Total number of pages of reviews the apps has in this App Store. There are 10 reviews per page. Pages start at zero. |
| num_reviews | The total number of reviews for all version of the app in this App Store. |
| star_breakdown | A comma separated list containing the number of ratings for each star group starting with 5 stars. While it is possible to calculate the average star rating using these values it is not recommended. The average star rating is given in the stars variable. |
| reviews | An array with review objects for the requested page. More details are available in the table below. |
Review
| title | The title of the review. If a translation language has been provided this will hold the translated review. |
| review | The full review. If a translation language has been provided this will hold the translated review. |
| original_title | If a translation language has been provided this will hold the original title before translation. Otherwise this filed will be null. |
| original_review | If a translation language has been provided this will hold the original review before translation. Otherwise this filed will be null. |
| author | The name of the author that left this review. |
| version | The version of the app this review is for. |
| date | Date the review was left on. This will be a string in the store’s format. This will be changing in the future to support a single standard date format. |
| stars | Number of stars the author left for the app. |
Example Response
// GET /reviews/300400/143441/0 { "us": { "store_id": 143441, "country": "United States", "iso_country": "US", "ratings": 64, "stars": 3, "num_pages": 9, "num_reviews": 81, "version": null, "star_breakdown": "23,6,10,8,17", "emoji_mode": "convert", "reviews": [ { "title": "Awesome music", "review": "Good game, for people who say it's too hard...", "original_title": null, "original_review": null, "author": "john appleseed", "version": "1", "date": "Apr 9, 2010", "stars": 5, "review_type": "review", "type": "major", "id": 0, "iso": null, "country": null, "language": null }, . . . ] }
Important Note:
The metadata at the top of the representation is only populated for page zero.